yi-keymap-vim-0.19.0: Vim keymap for Yi editor

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Extensions

- ScopedTypeVariables
- ExplicitForAll

Yi.Keymap.Vim

Description

The vim keymap.

# Documentation

keymapSet :: KeymapSet Source #

mkKeymapSet :: Proto VimConfig -> KeymapSet Source #

defVimConfig :: Proto VimConfig Source #

data VimBinding Source #

Constructors

VimBindingY (EventString -> VimState -> MatchResult (YiM RepeatToken)) |
VimBindingE (EventString -> VimState -> MatchResult (EditorM RepeatToken)) |

data VimOperator Source #

Constructors

VimOperator |

Fields

- operatorName :: !OperatorName
- operatorApplyToRegionE :: Int -> StyledRegion -> EditorM RepeatToken

data VimConfig Source #

Constructors

VimConfig |

Fields

- vimKeymap :: Keymap
- vimBindings :: [VimBinding]
- vimOperators :: [VimOperator]
- vimExCommandParsers :: [EventString -> Maybe ExCommand]
- vimDigraphs :: DigraphTbl
- vimRelayout :: Char -> Char

pureEval :: VimConfig -> EventString -> EditorM () Source #

impureEval :: VimConfig -> EventString -> Bool -> YiM () Source #

relayoutFromTo :: String -> String -> Char -> Char Source #